Nano_Credit_model Class Reference
Inheritance diagram for Nano_Credit_model:
[legend]
Collaboration diagram for Nano_Credit_model:
[legend]

## Public Member Functions

| insertCreditLimit ($limit_min, $limit_max, $has_nano_credit, $id_network)
| insertNanoCreditSharedRates ($taux_ag, $taux_sup, $taux_hyp, $id_network)
| getAllIlinkWorldNetworks ()
| getUsersGroups ($id_network)
| getNanoCreditRates ($idConfig, $type='nano_credit')
| deleteNanoCreditRates ($idConfig, $type='nano_credit')
| addNanoCreditRates ($idConfig, $duree, $valeur, $type='nano_credit')
| getUserDemandesCredit ($debut, $fin, $id_network)
| getUserDemandesCreditForSuper ($debut, $fin, $codeParrain)
| getUsersSavings ($debut, $fin, $id_network)
| getGroupMembers ($group_code)
| getGroup ($group_code)

## Detailed Description

Created by PhpStorm. User: capp Date: 29/05/2018 Time: 15:49

## Member Function Documentation

## addNanoCreditRates()

addNanoCreditRates | ( |  | $idConfig,
|  |  | $duree,
|  |  | $valeur,
|  |  | $type = `'nano_credit'`
| ) |  |

## deleteNanoCreditRates()

deleteNanoCreditRates | ( |  | $idConfig,
|  |  | $type = `'nano_credit'`
| ) |  |

## getAllIlinkWorldNetworks()

getAllIlinkWorldNetworks | ( |  | ) |

## getGroup()

getGroup | ( |  | $group_code | ) |

## getGroupMembers()

getGroupMembers | ( |  | $group_code | ) |

## getNanoCreditRates()

getNanoCreditRates | ( |  | $idConfig,
|  |  | $type = `'nano_credit'`
| ) |  |

## getUserDemandesCredit()

getUserDemandesCredit | ( |  | $debut,
|  |  | $fin,
|  |  | $id_network
| ) |  |

## getUserDemandesCreditForSuper()

getUserDemandesCreditForSuper | ( |  | $debut,
|  |  | $fin,
|  |  | $codeParrain
| ) |  |

## getUsersGroups()

getUsersGroups | ( |  | $id_network | ) |

## getUsersSavings()

getUsersSavings | ( |  | $debut,
|  |  | $fin,
|  |  | $id_network
| ) |  |

## insertCreditLimit()

insertCreditLimit | ( |  | $limit_min,
|  |  | $limit_max,
|  |  | $has_nano_credit,
|  |  | $id_network
| ) |  |

## insertNanoCreditSharedRates()

insertNanoCreditSharedRates | ( |  | $taux_ag,
|  |  | $taux_sup,
|  |  | $taux_hyp,
|  |  | $id_network
| ) |  |

The documentation for this class was generated from the following file:

- application/models/Nano_credit_model.php